ServerEvents.recipes(event => {
    event.shapeless(
        Item.of('cold_sweat:filled_waterskin'),
        [
            Item.of('cold_sweat:waterskin'),
            Item.of('potion', {Potion: 'minecraft:water'}).weakNBT()
        ]
    )
    .replaceIngredient(Item.of('potion', {Potion: 'minecraft:water'}).weakNBT(), Item.of('glass_bottle'))
    .modifyResult((grid, result) => {
        let item = grid.find(Item.of('potion', {Potion: 'minecraft:water'}))
        item.nbt.Potion = undefined
        return result.withNBT(item.nbt)
    });
});